/*
 Theme Name: RemSEO Flexo - Thème enfant
 Description: Un thème enfant décliné du thème parent RemSEO Flexo. Le thème parent intègre la gestion des éléments vitrines + actualités + évènements + lieux d'accueil.
 Author: Rémi COLIN
 Template: remseowoocommerce
 Version: 1.0.0
*/

/*---------------------
  ##Fast fix (to move)
----------------------*/
.elementor-widget-icon-box.remseo-iconbox {height: 100%;}
/* .elementor-widget-icon-box.remseo-iconbox .elementor-icon-box-wrapper .elementor-icon-box-content .elementor-icon-box-description {
	margin-left: -40px;
} */

.material-cta.leaflet-cta {
	position: absolute;
	top: 0;
	right: 0;
	border-radius: 0 12px 0 0;
	z-index: 401;
}

.header-top-line .top-headline {line-height: 26px;}

/*---------------------
    Primary HTML
----------------------*/
:root {
	--main-bg: #ffffff; /* White */
	--alt-bg: #ececec;
	--secondary-bg: #0D0B0B; /* Black */
	--dark-txt-color: #3c3c3c; /* Black ~lighter */
	--hovered-dark-txt: #868683;
	--light-txt-color: #f5f5f5; /* White ~greyish */
	--hovered-light-txt: #E0E0E0;
	--title-color: #3c3c3c; /* Black ~lighter */
	--featured-color: #B20401; /* Blue (UNML) */
		--featured-color-50: rgba(178, 4, 1, 0.5);
		--featured-color-90: rgba(178, 4, 1, 1);
		--featured-color-darker: #7A0301;
		--featured-color-lighter: #F40501;
	--alt-featured-color: #2b2b2b; /* Dark Green */
	--ctas-color: #2b2b2b; /* Dark Green */
	--ctas-darker-color: #2b2b2b; /* Dark Green */
	--cf-submit-color: #2b2b2b; /* Dark Green */
}

@font-face {
  font-family:'Roboto';
  src: url('./assets/fonts/roboto/Roboto-Regular.ttf') format('OpenType');
	font-display: swap;
}

@font-face {
  font-family:'Roboto-bold';
  src: url('./assets/fonts/roboto/Roboto-Bold.ttf') format('OpenType');
	font-display: swap;
}

@font-face {
  font-family:'Roboto-thin';
  src: url('./assets/fonts/roboto/Roboto-Thin.ttf') format('OpenType');
	font-display: swap;
}

@font-face {
  font-family:'Lato';
  src: url('./assets/fonts/lato/Lato-Regular.ttf') format('OpenType');
	font-display: swap;
}

@font-face {
  font-family:'Lato-Bold';
  src: url('./assets/fonts/lato/Lato-Bold.ttf') format('OpenType');
	font-display: swap;
}

@font-face {
  font-family:'Lato-Black';
  src: url('./assets/fonts/lato/Lato-Black.ttf') format('OpenType');
	font-display: swap;
}

body {
	font-family: 'Roboto', sans-serif;
}

h1 {font-family: 'Lato-Black', sans-serif;}

h2,
h3,
h4,
h5,
h6 {
	font-family: 'Lato-Bold', sans-serif;
}

/*---------------------
  Navigation
----------------------*/
nav.site-navigation ul.main-menu {background-color: var(--featured-color-90); padding: 12px 0; min-height: 85px;}
.main-menu li a {color: var(--light-txt-color);}
.main-menu li.logo-container-nav {margin: 0 auto 0 12.5%;}
.logo-container-nav .site-branding img.custom-logo {max-height: 85px; border-radius: 12px;}

/* @media all and (max-width: 1026px) {
	.main-menu li.menu-item-hamburger {display: none !important;}
} */

@media all and (max-width: 576px) {
	.main-menu li.logo-container-nav {margin: 0 auto;}
	.main-menu li.menu-item.logo-container-nav {display: block;}
}

/*---------------------
  Leaflet
----------------------*/
/* .leaflet {min-width: 100vw;}
.leaflet .leaflet-map {height: calc(75vh);} */
.leaflet {width: 100%; min-width: initial;}

/*---------------------
  Elementor
----------------------*/
.elementor-widget-video.img-disabled .elementor-custom-embed-image-overlay img {opacity: 0}
.elementor-element > .elementor-widget-shortcode > .elementor-widget-container > .elementor-shortcode > .theme-widget {
	padding: 0;
	margin: 0;
}
.elementor-testimonial-wrapper .elementor-testimonial-content {font-size: 1rem; font-style: italic;}
.elementor-counter .elementor-counter-number {
	background: var(--alt-featured-color);
	color: var(--light-txt-color);
	padding: 6px 12px;
	border-radius: 12px;
}

/* .elementor-container-cta .elementor-widget-text-editor .elementor-widget-container > p {
	transition: 300ms all ease-in-out;
}
.elementor-container-cta:hover .elementor-widget-text-editor .elementor-widget-container > p {
	color: var(--light-txt-color);
} */

/*---------------------
  Posts and CPTs
----------------------*/
.article-feed-thumbnail figure:hover .post-label.broadcast-date {}
.article-feed-thumbnail figure:hover .post-label.associated-place {}

/*---------------------
  Footer
----------------------*/
.main-footer {background-color: var(--alt-bg);}
.main-footer p,
.main-footer a,
.main-footer i.fas {color: var(--dark-txt-color);}

@media all and (max-width: 768px) {
	#nav-footer {margin: 12px auto;}
	.main-footer ul {padding: 0; flex-flow: wrap;}
}
